Skip to main content
POST
/
accounts
Create a customer account
curl --request POST \
  --url https://api.brale.xyz/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "business_name": "ABC Company Inc",
  "ein": "11-1111111",
  "address": {
    "street_line_1": "100 Example St",
    "city": "New York",
    "state": "NY",
    "zip": "10001",
    "country": "USA"
  },
  "phone_number": "2125550182",
  "email": "ops@abc.example",
  "website": "https://abc.example",
  "beneficial_owners": [
    {
      "first_name": "Jane",
      "last_name": "Doe",
      "dob": "1980-05-12",
      "ssn": "222-22-2222",
      "email": "jane@example.com",
      "phone_number": "212-555-0182",
      "address": {
        "street_line_1": "100 Example St",
        "city": "New York",
        "state": "NY",
        "zip": "10001",
        "country": "USA"
      }
    }
  ],
  "business_controller": {
    "first_name": "Alicia",
    "last_name": "Ng",
    "dob": "1986-07-14",
    "ssn": "123-45-6789",
    "email": "alicia.ng@example.com",
    "phone_number": "+12125550182",
    "address": {
      "street_line_1": "200 Market St",
      "city": "New York",
      "state": "NY",
      "zip": "10002",
      "country": "USA"
    }
  },
  "tos_attestation": {
    "accepted_at": "2025-05-13T20:45:15Z",
    "version": "2025-04-01",
    "ip": "203.0.113.42",
    "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 ..."
  },
  "name": "My Account"
}
'
{
  "id": "2VcUIIsgARwVbEGlIYbhg6fGG57"
}
Use the playground below to try this endpoint directly, or review the OpenAPI details in the right panel.

Authorizations

Authorization
string
header
required

Use the Bearer token returned from the Auth endpoint via OAuth2 client_credentials flow. Include the token in the "Authorization: Bearer " header.

Headers

Idempotency-Key
string
required

A unique string used to prevent duplicate operations. Each POST request must use a new idempotency key. Use a UUIDv4 string. Example: idemp-123e4567-e89b-12d3-a456-426614174000

Body

application/json
business_name
string
required
Example:

"My Customer"

ein
string
required
Example:

"123456789"

address
USStreetAddress · object
required
business_controller
ControllingParty · object
required
email
string
required
Example:

"a@b.com"

phone_number
string
required
Example:

"515-555-1212"

tos_attestation
EndUserTosAttestation · object
required
website
string
required
Example:

"https://example.com"

beneficial_owners
ControllingParty · object[] | null
ultimate_beneficial_owners
ControllingParty · object[]
deprecated

Deprecated alias of beneficial_owners.

name
string
Example:

"My Account"

Response

201 - */*

Account successfully created

id
string<ksuid>
Pattern: ^[a-zA-Z0-9]{26}$
Example:

"2VcUIIsgARwVbEGlIYbhg6fGG57"